## ros-rolling-webots-ros2-driver 2023.1.1

=== debian/changelog ===
ros-rolling-webots-ros2-driver (2023.1.1-2jammy) jammy; urgency=high

  * Fixed RangeFinder activation to also check for point cloud subscriptions.
  * Added component remapping parameter to rename PROTO components.
  * Added deprecation message when declaring driver node in launch file.
  * Added animation_{start,stop}_recording services to Ros2Supervisor node.
  * Added /Ros2Supervisor namespace to Ros2Supervisor node.
  * Fixed Python plugin termination on SIGINT call or simulation ends.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 10 Jul 2023 22:00:00 -0000

ros-rolling-webots-ros2-driver (2023.1.0-2jammy) jammy; urgency=high

  * Added Ros2Pen static plugin.
  * Added parameters to rename Camera and RangeFinder topics.
  * Added new WebotsController node to launch robot controller plugins.
  * Added compilation of the generic robot window library.
  * Default to canonical topic name and fix camera_info stamp in Ros2Camera, Ros2RangeFinder.
  * Added VacuumGripper device support.

 -- Cyberbotics <support@cyberbotics.com>  Wed, 28 Jun 2023 22:00:00 -0000

ros-rolling-webots-ros2-driver (2023.0.4-2jammy) jammy; urgency=high

  * Fixed vertical field of view in static RangeFinder plugin.
  * Added support for painted point clouds.
  * Added custom handler to start nodes when Webots is ready.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 22 May 2023 22:00:00 -0000

ros-rolling-webots-ros2-driver (2023.0.3-2jammy) jammy; urgency=high

  * Adding port, stream type parameters to webots_laucher
  * Copying .wbproj when launching a webots world via webots_launcher
  * Added Emitter and Receiver support
  * Changed undefined Lidar frequency to the default from the .proto file
  * Added Compass support

 -- Cyberbotics <support@cyberbotics.com>  Tue, 11 Apr 2023 22:00:00 -0000

ros-rolling-webots-ros2-driver (2023.0.2-2jammy) jammy; urgency=high

  * Fixed the spawn of URDF robots in WSL and macOS when using full path.
  * Fixed relative assets in macOS.
  * Added Ros2Supervisor creation.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 06 Feb 2023 23:00:00 -0000

ros-rolling-webots-ros2-driver (2023.0.1-2jammy) jammy; urgency=high

  * Fixed relative assets in WSL.

 -- Cyberbotics <support@cyberbotics.com>  Wed, 04 Jan 2023 23:00:00 -0000

ros-rolling-webots-ros2-driver (2023.0.0-2jammy) jammy; urgency=high

  * Add support for the new Python API of Webots R2023a
  * Convert C++ controller API functions to C
  * Replace libController submodule by commited source files

 -- Cyberbotics <support@cyberbotics.com>  Tue, 29 Nov 2022 23:00:00 -0000

ros-rolling-webots-ros2-driver (2022.1.4-2jammy) jammy; urgency=high

  * Fix the camera focal length in the CameraInfo topic.
  * Update the calculation of CameraRecognitionObject messages to the RDF convention of R2022b.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 17 Nov 2022 23:00:00 -0000

ros-rolling-webots-ros2-driver (2022.1.3-2jammy) jammy; urgency=high

  * Added macOS support.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 01 Nov 2022 23:00:00 -0000

ros-rolling-webots-ros2-driver (2022.1.2-2jammy) jammy; urgency=high

  * Fix issue where relatively defined PROTO were not found.
  * Added WSL support.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 20 Oct 2022 22:00:00 -0000

ros-rolling-webots-ros2-driver (2022.1.1-2jammy) jammy; urgency=high

  * Simplified the detection of Webots installation folder.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 10 Oct 2022 22:00:00 -0000

ros-rolling-webots-ros2-driver (2022.1.0-2jammy) jammy; urgency=high

  * Added an URDF importer feature to spawn robots from URDF files.

 -- Cyberbotics <support@cyberbotics.com>  Thu, 22 Sep 2022 22:00:00 -0000

ros-rolling-webots-ros2-driver (1.2.3-2jammy) jammy; urgency=high

  * Add option to set 'robot_description' parameter for 'robot_state_publisher' node.
  * Fix recognition camera.
  * Add a 'PointCloud2' publisher for the 'RangeFinder' device.

 -- Cyberbotics <support@cyberbotics.com>  Sun, 29 May 2022 22:00:00 -0000

ros-rolling-webots-ros2-driver (1.2.2-2jammy) jammy; urgency=high

  * Fix the Supervisor API access from plugins.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 18 Jan 2022 23:00:00 -0000

ros-rolling-webots-ros2-driver (1.2.1-2jammy) jammy; urgency=high

  * Fix link error for 'webots_ros2_control' on macOS.
  * Fix lidar device according to FLU convention.

 -- Cyberbotics <support@cyberbotics.com>  Sun, 09 Jan 2022 23:00:00 -0000

ros-rolling-webots-ros2-driver (1.2.0-2jammy) jammy; urgency=high

  * Adapt the worlds to the new R2022a FLU convention.
  * Remove a double webots_ros2_driver header installation.
  * Add the publication of the 'gps/speed_vector' topic to the GPS ROS 2 device.

 -- Cyberbotics <support@cyberbotics.com>  Mon, 20 Dec 2021 23:00:00 -0000

ros-rolling-webots-ros2-driver (1.1.2-2jammy) jammy; urgency=high

  * Adapted the 'webots_ros2_driver' package to be also a python alternative to the 'webots_ros2_core' package.

 -- Cyberbotics <support@cyberbotics.com>  Tue, 02 Nov 2021 23:00:00 -0000

ros-rolling-webots-ros2-driver (1.1.0-2jammy) jammy; urgency=high

  * Initial version

 -- Cyberbotics <support@cyberbotics.com>  Sun, 18 Jul 2021 22:00:00 -0000
